commit 69d54b04b54de1090eb04734bd64ae42e8faaead
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Sat Sep 13 02:25:04 2025

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index f06b0c838fb..7aa594e9c09 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20250912
+20250913
diff --git a/gcc/cp/ChangeLog b/gcc/cp/ChangeLog
index 6b8b2bde362..0e20285553d 100644
--- a/gcc/cp/ChangeLog
+++ b/gcc/cp/ChangeLog
@@ -1,3 +1,12 @@
+2025-09-12  Patrick Palka  <ppalka@redhat.com>
+
+	Backported from master:
+	2025-09-12  Patrick Palka  <ppalka@redhat.com>
+
+	PR c++/121795
+	* pt.cc (unify) <case PACK_INDEX_TYPE>: New non-deduced context
+	case.
+
 2025-09-11  Patrick Palka  <ppalka@redhat.com>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 2972b614957..fc690a38ea2 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,12 @@
+2025-09-12  Patrick Palka  <ppalka@redhat.com>
+
+	Backported from master:
+	2025-09-12  Patrick Palka  <ppalka@redhat.com>
+
+	PR c++/121795
+	* g++.dg/cpp26/pack-indexing17.C: New test.
+	* g++.dg/cpp26/pack-indexing17a.C: New test.
+
 2025-09-11  Patrick Palka  <ppalka@redhat.com>
 
 	Backported from master:
diff --git a/libstdc++-v3/ChangeLog b/libstdc++-v3/ChangeLog
index dc7bdff666c..b387d8f098a 100644
--- a/libstdc++-v3/ChangeLog
+++ b/libstdc++-v3/ChangeLog
@@ -1,3 +1,12 @@
+2025-09-12  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2025-09-12  Jonathan Wakely  <jwakely@redhat.com>
+
+	PR libstdc++/117276
+	* include/pstl/parallel_backend_tbb.h (__func_task::finalize):
+	Make deallocation unconditional.
+
 2025-09-10  Jonathan Wakely  <jwakely@redhat.com>
 
 	Backported from master:

